package com.kym.service;

import com.kym.entity.common.PageBean;
import com.kym.entity.WashDevice;
import com.kym.entity.queryParams.DeviceQueryParams;
import com.kym.entity.vo.WashDeviceVo;
import com.kym.service.mybatisplus.MyBaseService;

import java.util.List;

/**
 * <p>
 * 洗车设备表 服务类
 * </p>
 *
 * @author skyline
 * @since 2024-10-09
 */
public interface WashDeviceService extends MyBaseService<WashDevice> {

    WashDeviceVo getDevice(String shortId);

    String startDevice(String shortId);

    void stopDevice(String shortId);

    List<WashDeviceVo> listWashDevice(DeviceQueryParams params);

    //region 管理后台
    Object detail(long id);

    void remove(long id);

    void modify(WashDevice device);

    void add(WashDevice device);

    PageBean<WashDeviceVo> list(DeviceQueryParams query);

    void batchUpdateSequence(List<WashDevice> devices);
    //endregion
}
